## BraseroMediumSelection

BraseroMediumSelection

## Functions

GtkWidget * | brasero_medium_selection_new ()
BraseroMedium * | brasero_medium_selection_get_active ()
gboolean | brasero_medium_selection_set_active ()
void | brasero_medium_selection_show_media_type ()

## Types and Values

struct | BraseroMediumSelection

## Description

## Functions

### brasero_medium_selection_new ()

    GtkWidget *
    brasero_medium_selection_new (void);

Creates a new BraseroMediumSelection object

#### Returns

a GtkWidget. Unref when it is not needed anymore.

### brasero_medium_selection_get_active ()

    BraseroMedium *
    brasero_medium_selection_get_active (BraseroMediumSelection *selector);

Gets the active medium.

#### Parameters

selector | a BraseroMediumSelection |

#### Returns

a BraseroMedium or NULL. Unref when it is not needed anymore.

### brasero_medium_selection_set_active ()

    gboolean
    brasero_medium_selection_set_active (BraseroMediumSelection *selector,
                                         BraseroMedium *medium);

Sets the active medium. Emits the ::medium-changed signal.

#### Parameters

selector | a BraseroMediumSelection |
medium | a BraseroMedium to set as the active one in the selector |

#### Returns

a gboolean. TRUE if it succeeded, FALSE otherwise.

### brasero_medium_selection_show_media_type ()

    void
    brasero_medium_selection_show_media_type
                                   (BraseroMediumSelection *selector,
                                    BraseroMediaType type);

Filters and displays media corresponding to `type` .

#### Parameters

selector | a BraseroMediumSelection |
type | a BraseroMediaType |

## Types and Values

### struct BraseroMediumSelection

    struct BraseroMediumSelection {
    	GtkComboBox parent_instance;
    };

Rename to: MediumSelection